Intermittent browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | Test timed out - after Assertion failure: aVsyncTimestamp<= TimeStamp::Now(), at z:/build/build/src/layout/base/nsRefreshDriver.cpp:680

RESOLVED DUPLICATE of bug 1306896

Status

()

defect
P5
normal
RESOLVED DUPLICATE of bug 1306896
2 years ago
Last year

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=165884151&repo=mozilla-central

https://queue.taskcluster.net/v1/task/THvYCjO5QmGgFs8NPbiEKA/runs/0/artifacts/public/logs/live_backing.log

23:17:02     INFO -  GECKO(5968) | ++DOCSHELL 05821800 == 3 [pid = 5208] [id = {dfcd3468-6128-4a04-9833-5b7e679f8107}]
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 18 (00B5A700) [pid = 5208] [serial = 127] [outer = 00000000]
23:17:02     INFO -  GECKO(5968) | [Child 5520, Main Thread] WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file z:/build/build/src/editor/composer/nsEditingSession.cpp, line 1277
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 19 (09D77C00) [pid = 5208] [serial = 128] [outer = 00B5A700]
23:17:02     INFO -  GECKO(5968) | Waiting for browser load
23:17:02     INFO -  GECKO(5968) | Saw state f0001 and status 0
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 20 (0AF8BC00) [pid = 5208] [serial = 129] [outer = 00B5A700]
23:17:02     INFO -  GECKO(5968) | Saw state c0010 and status 0
23:17:02     INFO -  GECKO(5968) | Browser loaded http://test1.example.com/browser/browser/base/content/test/referrer/file_referrer_policyserver.sjs?scheme=https%3A//&policy=no-referrer&rel=&cross=
23:17:02     INFO -  GECKO(5968) | ++DOCSHELL 0AD91400 == 4 [pid = 4876] [id = {c36ebfae-bb5e-4200-9a5b-3ce0e57483a9}]
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 28 (01159BC0) [pid = 4876] [serial = 163] [outer = 00000000]
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 29 (0B710000) [pid = 4876] [serial = 164] [outer = 01159BC0]
23:17:02     INFO -  GECKO(5968) | ++DOMWINDOW == 30 (0AD93C00) [pid = 4876] [serial = 165] [outer = 01159BC0]
23:17:03     INFO -  GECKO(5968) | Assertion failure: aVsyncTimestamp <= TimeStamp::Now(), at z:/build/build/src/layout/base/nsRefreshDriver.cpp:680
23:17:03     INFO -  GECKO(5968) | #01: mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::TickRefreshDriver(mozilla::TimeStamp) [layout/base/nsRefreshDriver.cpp:668]
23:17:03     INFO -  GECKO(5968) | #02: mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::NotifyVsync(mozilla::TimeStamp) [layout/base/nsRefreshDriver.cpp:591]
23:17:03     INFO -  GECKO(5968) | #03: mozilla::layout::VsyncChild::RecvNotify(mozilla::TimeStamp const &) [layout/ipc/VsyncChild.cpp:70]
23:17:03     INFO -  GECKO(5968) | #04: mozilla::layout::PVsyncChild::OnMessageReceived(IPC::Message const &) [s3:gecko-generated-sources:06086093ccb59dd5a99cf8c9f9fb7f4860fd8ddbfd516af5e5b3508be62029679421dcf2abdf6b1c945b6a054050bd403c9574aad49f857cb4a31d3f4cf56b9a/ipc/ipdl/PVsyncChild.cpp::155]
23:17:03     INFO -  GECKO(5968) | #05: mozilla::ipc::PBackgroundChild::OnMessageReceived(IPC::Message const &) [s3:gecko-generated-sources:8e62c6d3deba4a309cc73fc9338df746f4b6868950913b67df2647f082618d4c0a2f9fdf5540098c3febe3ccddbdd8c8a12d2828cddae1e3175d80607cbdc620/ipc/ipdl/PBackgroundChild.cpp::1943]
23:17:03     INFO -  GECKO(5968) | #06: mozilla::ipc::MessageChannel::DispatchAsyncMessage(IPC::Message const &) [ipc/glue/MessageChannel.cpp:2134]
23:17:03     INFO -  GECKO(5968) | #07: mozilla::ipc::MessageChannel::DispatchMessageW(IPC::Message &&) [ipc/glue/MessageChannel.cpp:2065]
23:17:03     INFO -  GECKO(5968) | #08: mozilla::ipc::MessageChannel::RunMessage(mozilla::ipc::MessageChannel::MessageTask &) [ipc/glue/MessageChannel.cpp:1910]
23:17:03     INFO -  GECKO(5968) | #09: mozilla::ipc::MessageChannel::MessageTask::Run() [ipc/glue/MessageChannel.cpp:1943]
23:17:03     INFO -  GECKO(5968) | #10: nsThread::ProcessNextEvent(bool,bool *) [xpcom/threads/nsThread.cpp:1041]
23:17:03     INFO -  GECKO(5968) | #11: NS_ProcessNextEvent(nsIThread *,bool) [xpcom/threads/nsThreadUtils.cpp:517]
23:17:03     INFO -  GECKO(5968) | #12: mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [ipc/glue/MessagePump.cpp:125]

23:31:56     INFO -  Buffered messages logged at 23:30:26
23:31:56     INFO -  141 INFO Longer timeout required, waiting longer...  Remaining timeouts: 1
23:31:56     INFO -  Buffered messages finished
23:31:56    ERROR -  142 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | Test timed out -
23:31:56     INFO -  GECKO(5968) | [Child 5208, Main Thread] WARNING: NS_ENSURE_TRUE(mDoneSetup) failed: file z:/build/build/src/editor/composer/nsEditingSession.cpp, line 1277
23:31:56     INFO -  GECKO(5968) | MEMORY STAT | vsize 758MB | vsizeMaxContiguous 688MB | residentFast 89MB | heapAllocated 70MB
23:31:56     INFO -  143 INFO TEST-OK | browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | took 900642ms
23:31:56     INFO -  144 INFO checking window state
23:31:56     INFO -  145 INFO Console message: [JavaScript Error: "this is undefined" {file: "resource://activity-stream/lib/UTEventReporting.jsm" line: 51}]
23:31:56     INFO -  sendSessionEndEvent@resource://activity-stream/lib/UTEventReporting.jsm:51:1
23:31:56     INFO -  sendUTEvent@resource://activity-stream/lib/TelemetryFeed.jsm:364:7
23:31:56     INFO -  endSession@resource://activity-stream/lib/TelemetryFeed.jsm:240:5
23:31:56     INFO -  onAction@resource://activity-stream/lib/TelemetryFeed.jsm:391:9
23:31:56     INFO -  _middleware/</<@resource://activity-stream/lib/Store.jsm:49:11
23:31:56     INFO -  Store/this[method]@resource://activity-stream/lib/Store.jsm:28:55
23:31:56     INFO -  onActionFromContent@resource://activity-stream/lib/ActivityStreamMessageChannel.jsm:87:5
23:31:56     INFO -  onNewTabUnload@resource://activity-stream/lib/ActivityStreamMessageChannel.jsm:232:5
23:31:56     INFO -  callListeners@resource://gre/modules/RemotePageManager.jsm:33:9
23:31:56     INFO -  portMessageReceived@resource://gre/modules/RemotePageManager.jsm:123:5
23:31:56     INFO -  callListeners@resource://gre/modules/RemotePageManager.jsm:33:9
23:31:56     INFO -  ChromeMessagePort.prototype.observe@resource://gre/modules/RemotePageManager.jsm:361:3

23:33:29     INFO -  GECKO(5968) | nsStringStats
23:33:29     INFO -  GECKO(5968) |  => mAllocCount:         769614
23:33:29     INFO -  GECKO(5968) |  => mReallocCount:        41603
23:33:29     INFO -  GECKO(5968) |  => mFreeCount:          769614
23:33:29     INFO -  GECKO(5968) |  => mShareCount:        1001076
23:33:29     INFO -  GECKO(5968) |  => mAdoptCount:          19921
23:33:29     INFO -  GECKO(5968) |  => mAdoptFreeCount:      19921
23:33:29     INFO -  GECKO(5968) |  => Process ID: 5968, Thread ID: 5996
23:33:29     INFO -  TEST-INFO | Main app process: exit 0
23:33:29    ERROR -  174 ERROR TEST-UNEXPECTED-FAIL | browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | leaked 1 window(s) until shutdown [url = about:blank]
23:33:29    ERROR -  175 ERROR TEST-UNEXPECTED-FAIL | browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | leaked 1 window(s) until shutdown [url = chrome://browser/content/browser.xul]
23:33:29     INFO -  TEST-INFO | browser/base/content/test/referrer/browser_referrer_open_link_in_container_tab3.js | windows(s) leaked: [pid = 5968] [serial = 45], [pid = 5968] [serial = 44]
23:33:29     INFO -  runtests.py | Application ran for: 0:17:47.242000
23:33:29     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmpblp6dspidlog
23:33:29     INFO -  ==> process 5968 launched child process 5520 ("Z:\task_1520204950\build\application\firefox\firefox.exe" -contentproc --channel="5968.0.1019051144\1569493524" -childID 1 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|170:1000|179:0|181:0|195:32|196:256|244:2| -boolPrefs 5:1|37:1|60:1|61:0|121:1|130:1|134:1|144:1|149:1|156:1|182:1|194:1|211:0|298:0| -stringPrefs 216:4;0.01|284:38;{772b9d37-acdf-4ef2-8a21-5f65aa94d709}| -schedulerPrefs 0001,2 -greomni "Z:\task_1520204950\build\application\firefox\omni.ja" -appomni "Z:\task_1520204950\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1520204950\build\application\firefox\browser"  5968 "\\.\pipe\gecko-crash-server-pipe.5968" 1704 tab)
23:33:29     INFO -  ==> process 5968 launched child process 5028 ("Z:\task_1520204950\build\application\firefox\firefox.exe" -contentproc --channel="5968.6.162781044\1554216395" -childID 2 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|170:1000|179:0|181:0|195:32|196:256|244:2| -boolPrefs 5:1|37:1|60:1|61:0|121:1|130:1|134:1|144:1|149:1|156:1|182:1|194:1|211:0|298:0| -stringPrefs 216:4;0.01|284:38;{772b9d37-acdf-4ef2-8a21-5f65aa94d709}| -schedulerPrefs 0001,2 -greomni "Z:\task_1520204950\build\application\firefox\omni.ja" -appomni "Z:\task_1520204950\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1520204950\build\application\firefox\browser"  5968 "\\.\pipe\gecko-crash-server-pipe.5968" 2024 tab)
23:33:29     INFO -  ==> process 5968 launched child process 5208 ("Z:\task_1520204950\build\application\firefox\firefox.exe" -contentproc --channel="5968.12.1198161899\393971552" -childID 3 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|170:1000|179:0|181:0|195:32|196:256|244:2| -boolPrefs 5:1|37:1|60:1|61:0|121:1|130:1|134:1|144:1|149:1|156:1|182:1|194:1|211:0|298:0| -stringPrefs 216:4;0.01|284:38;{772b9d37-acdf-4ef2-8a21-5f65aa94d709}| -schedulerPrefs 0001,2 -greomni "Z:\task_1520204950\build\application\firefox\omni.ja" -appomni "Z:\task_1520204950\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1520204950\build\application\firefox\browser"  5968 "\\.\pipe\gecko-crash-server-pipe.5968" 2752 tab)
23:33:29     INFO -  ==> process 5968 launched child process 4876 ("Z:\task_1520204950\build\application\firefox\firefox.exe" -contentproc --channel="5968.18.1556025193\690735784" -childID 4 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|170:1000|179:0|181:0|195:32|196:256|244:2| -boolPrefs 5:1|37:1|60:1|61:0|121:1|130:1|134:1|144:1|149:1|156:1|182:1|194:1|211:0|298:0| -stringPrefs 216:4;0.01|284:38;{772b9d37-acdf-4ef2-8a21-5f65aa94d709}| -schedulerPrefs 0001,2 -greomni "Z:\task_1520204950\build\application\firefox\omni.ja" -appomni "Z:\task_1520204950\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1520204950\build\application\firefox\browser"  5968 "\\.\pipe\gecko-crash-server-pipe.5968" 2952 tab)
23:33:29     INFO -  ==> process 5968 launched child process 4392 ("Z:\task_1520204950\build\application\firefox\firefox.exe" -contentproc --channel="5968.24.2097227671\608715975" -childID 5 -isForBrowser -intPrefs 43:0|45:0|64:0|69:0|75:0|170:1000|179:0|181:0|195:32|196:256|244:2| -boolPrefs 5:1|37:1|60:1|61:0|121:1|130:1|134:1|144:1|149:1|156:1|182:1|194:1|211:0|298:0| -stringPrefs 216:4;0.01|284:38;{772b9d37-acdf-4ef2-8a21-5f65aa94d709}| -schedulerPrefs 0001,2 -greomni "Z:\task_1520204950\build\application\firefox\omni.ja" -appomni "Z:\task_1520204950\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1520204950\build\application\firefox\browser"  5968 "\\.\pipe\gecko-crash-server-pipe.5968" 3056 tab)
23:33:29     INFO -  zombiecheck | Checking for orphan process with PID: 5520
23:33:29     INFO -  zombiecheck | Checking for orphan process with PID: 5208
23:33:29     INFO -  zombiecheck | Checking for orphan process with PID: 5028
23:33:29     INFO -  zombiecheck | Checking for orphan process with PID: 4876
23:33:29     INFO -  zombiecheck | Checking for orphan process with PID: 4392
23:33:29     INFO -  mozcrash Copy/paste: Z:\task_1520204950\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmpbklkna.mozrunner\minidumps\cf7a8421-0ea7-4942-a47f-b74e0cb9b738.dmp Z:\task_1520204950\build\symbols
23:33:49     INFO -  mozcrash Saved minidump as Z:\task_1520204950\build\blobber_upload_dir\cf7a8421-0ea7-4942-a47f-b74e0cb9b738.dmp
23:33:49     INFO -  mozcrash Saved app info as Z:\task_1520204950\build\blobber_upload_dir\cf7a8421-0ea7-4942-a47f-b74e0cb9b738.extra
23:33:49  WARNING -  PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::TickRefreshDriver(mozilla::TimeStamp)]
23:33:49     INFO -  Crash dump filename: c:\users\genericworker\appdata\local\temp\tmpbklkna.mozrunner\minidumps\cf7a8421-0ea7-4942-a47f-b74e0cb9b738.dmp
23:33:49     INFO -  Operating system: Windows NT
23:33:49     INFO -                    6.1.7601 Service Pack 1
23:33:49     INFO -  CPU: x86
23:33:49     INFO -       GenuineIntel family 6 model 63 stepping 2
23:33:49     INFO -       8 CPUs
23:33:49     INFO -  GPU: UNKNOWN
23:33:49     INFO -  Crash reason:  EXCEPTION_BREAKPOINT
23:33:49     INFO -  Crash address: 0x5c9e96ca
23:33:49     INFO -  Assertion: Unknown assertion type 0x00000000
23:33:49     INFO -  Process uptime: 75 seconds
23:33:49     INFO -  Thread 0 (crashed)
23:33:49     INFO -   0  xul.dll!mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::TickRefreshDriver(mozilla::TimeStamp) [nsRefreshDriver.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 668 + 0x18]
23:33:49     INFO -      eip = 0x5c9e96ca   esp = 0x0015ec04   ebp = 0x0015ec30   ebx = 0x0b7a62c0
23:33:49     INFO -      esi = 0x000002a8   edi = 0x0b7a6368   eax = 0x00000000   ecx = 0x67ef737e
23:33:49     INFO -      edx = 0x00000000   efl = 0x00000212
23:33:49     INFO -      Found by: given as instruction pointer in context
23:33:49     INFO -   1  xul.dll!mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::NotifyVsync(mozilla::TimeStamp) [nsRefreshDriver.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 587 + 0x14]
23:33:49     INFO -      eip = 0x5c9e6df4   esp = 0x0015ec38   ebp = 0x0015ec68
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   2  xul.dll!mozilla::layout::VsyncChild::RecvNotify(mozilla::TimeStamp const &) [VsyncChild.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 68 + 0x18]
23:33:49     INFO -      eip = 0x5cbbb4b6   esp = 0x0015ec70   ebp = 0x0015ec90
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   3  xul.dll!mozilla::layout::PVsyncChild::OnMessageReceived(IPC::Message const &) [PVsyncChild.cpp: : 155 + 0x11]
23:33:49     INFO -      eip = 0x5aff1dc5   esp = 0x0015ec98   ebp = 0x0015ed0c
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   4  xul.dll!mozilla::ipc::PBackgroundChild::OnMessageReceived(IPC::Message const &) [PBackgroundChild.cpp: : 1943 + 0x6]
23:33:49     INFO -      eip = 0x5af6b924   esp = 0x0015ed14   ebp = 0x0015ee84
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   5  xul.dll!mozilla::ipc::MessageChannel::DispatchAsyncMessage(IPC::Message const &) [MessageChannel.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 2133 + 0x5]
23:33:49     INFO -      eip = 0x5ae0d867   esp = 0x0015ee8c   ebp = 0x0015eea0
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   6  xul.dll!mozilla::ipc::MessageChannel::DispatchMessageW(IPC::Message &&) [MessageChannel.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 2063 + 0x6]
23:33:49     INFO -      eip = 0x5ae0db53   esp = 0x0015eea8   ebp = 0x0015eef8
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   7  xul.dll!mozilla::ipc::MessageChannel::RunMessage(mozilla::ipc::MessageChannel::MessageTask &) [MessageChannel.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 1909 + 0x8]
23:33:49     INFO -      eip = 0x5ae126a1   esp = 0x0015ef00   ebp = 0x0015ef18
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   8  xul.dll!mozilla::ipc::MessageChannel::MessageTask::Run() [MessageChannel.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 1942 + 0x9]
23:33:49     INFO -      eip = 0x5ae125a6   esp = 0x0015ef20   ebp = 0x0015ef2c
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -   9  xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 1040 + 0x11]
23:33:49     INFO -      eip = 0x5aa25126   esp = 0x0015ef34   ebp = 0x0015f4a0
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -  10  Wpc.dll!CSystemSettings::CreateUser(unsigned short const *,int) + 0x186
23:33:49     INFO -      eip = 0x67c286f9   esp = 0x0015ef7c   ebp = 0x0015f4a0
23:33:49     INFO -      Found by: stack scanning
23:33:49     INFO -  11  xul.dll!NS_ProcessNextEvent(nsIThread *,bool) [nsThreadUtils.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 517 + 0xd]
23:33:49     INFO -      eip = 0x5aa2d642   esp = 0x0015f4a8   ebp = 0x0015f4cc   ebx = 0x00000000
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -  12  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 125 + 0x8]
23:33:49     INFO -      eip = 0x5ae122cc   esp = 0x0015f4d4   ebp = 0x0015f4ec
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -  13  xul.dll!mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate *) [MessagePump.cpp:190b536928f8a8ca96e52101d2013c88a1a66384 : 301 + 0x8]
23:33:49     INFO -      eip = 0x5ae123d7   esp = 0x0015f4f4   ebp = 0x0015f504
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -  14  xul.dll!MessageLoop::RunInternal() [message_loop.cc:190b536928f8a8ca96e52101d2013c88a1a66384 : 326 + 0xf]
23:33:49     INFO -      eip = 0x5adec33d   esp = 0x0015f50c   ebp = 0x0015f524
23:33:49     INFO -      Found by: call frame info
23:33:49     INFO -  15  xul.dll!MessageLoop::RunHandler() [message_loop.cc:190b536928f8a8ca96e52101d2013c88a1a66384 : 319 + 0x5]
23:33:49     INFO -      eip = 0x5adec2f5   esp = 0x0015f52c   ebp = 0x0015f558
23:33:49     INFO -      Found by: call frame info
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → DUPLICATE
Duplicate of bug: 1306896
You need to log in before you can comment on or make changes to this bug.